Bug 119258 - any mouse type selection throws exception
Summary: any mouse type selection throws exception
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-28 00:17 UTC by Alexandre Oliva
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 2.5.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-03 18:51:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2004-03-28 00:17:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Any Mouse type selection other than `Probe' causes an exception to be
thrown from system-config-kickstart Preview or Save commands.

Version-Release number of selected component (if applicable):
system-config-kickstart-2.5.8-1

How reproducible:
Always

Steps to Reproduce:
1.Start system-config-kickstart
2.Choose on File -> Preview
3.Change Mouse type
4.Try again
5.Change Mouse type to Probe
6.Once more
    

Actual Results:  For 2 and 4:
Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 292,
in on_activate_save_options
    if self.getAllData() != None:
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 245,
in getAllData
    if self.basic_class.getData(doInstall) is None:
  File "/usr/share/system-config-kickstart/basic.py", line 190, in getData
   
self.kickstartData.setMouse([self.mouseLookup(self.mouse_combo.entry.get_text())])
  File "/usr/share/system-config-kickstart/basic.py", line 279, in
mouseLookup
    a, b, c, d, protocol = self.mouseDict[args]
ValueError: unpack tuple of wrong size


Expected Results:  Should work.

Additional info:

Comment 1 Bill Nottingham 2004-03-29 20:36:35 UTC
Ah, this broke with the rhpl changes.

Should be (a, b, c, d, e, protocol) = ...



Comment 2 Brent Fox 2004-03-29 21:47:55 UTC
Fixed in cvs.  I'll build system-config-kickstart-2.5.9-1 as soon as I
finish some other features that I've been working on.


Note You need to log in before you can comment on or make changes to this bug.